import { useEffect, useState } from 'react';
import { useProperties, useVisiable } from '@uiw/react-baidu-map-utils';
export function useScaleControl(props) {
  if (props === void 0) {
    props = {};
  }

  var [scaleControl, setScaleControl] = useState();
  var {
    map,
    anchor,
    offset
  } = props;
  useEffect(() => {
    if (map && !scaleControl) {
      var instance = new BMap.ScaleControl({
        anchor: anchor || BMAP_ANCHOR_TOP_LEFT,
        offset
      });
      map.addControl(instance);
      setScaleControl(instance);
      return () => {
        map.removeControl(instance);
      };
    } // eslint-disable-next-line react-hooks/exhaustive-deps

  }, [map]);
  useVisiable(scaleControl, props);
  useProperties(scaleControl, props, ['Anchor', 'Offset', 'Unit']);
  return {
    scaleControl,
    setScaleControl
  };
}
//# sourceMappingURL=useScaleControl.js.map